## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:			cl-ppcre
Version:		2.1.2
Release:		%autorelease
Summary:		Portable Perl-compatible regular expressions for Common Lisp

License:		BSD-2-Clause
URL:			https://edicl.github.io/cl-ppcre/
Source0:		https://github.com/edicl/%{name}/archive/refs/tags/v%{version}.tar.gz

BuildArch:		noarch

BuildRequires:		common-lisp-controller
Requires:		common-lisp-controller
Requires(post):		common-lisp-controller
Requires(preun):	common-lisp-controller

%description
CL-PPCRE is a portable regular expression library for Common Lisp
which has the following features:

* It is compatible with Perl (especially when used in conjunction
  with cl-interpol, to allow compatible parsing of regexp strings).
* It is pretty fast.
* It is portable between ANSI-compliant Common Lisp implementations.
* It is thread-safe.
* In addition to specifying regular expressions as strings like in
  Perl you can also use S-expressions.
* It comes with a BSD-style license so you can basically do with it
  whatever you want.

CL-PPCRE has been used successfully in various applications like BioBike,
clutu, LoGS, CafeSpot, Eboy, or The Regex Coach.

%prep
%autosetup -n %{name}-%{version}

%build

%install
%{__mkdir_p} -m 755 %{buildroot}%{_datadir}/common-lisp/source/cl-ppcre
%{__mkdir_p} -m 755 %{buildroot}%{_datadir}/common-lisp/systems

install -m 644 -Dt %{buildroot}%{_datadir}/common-lisp/source/cl-ppcre *.lisp
install -m 644 -t %{buildroot}%{_datadir}/common-lisp/source/cl-ppcre cl-ppcre.asd

pushd %{buildroot}%{_datadir}/common-lisp/systems
ln -s ../source/cl-ppcre/cl-ppcre.asd .
popd

%post
register-common-lisp-source cl-ppcre

%preun
unregister-common-lisp-source cl-ppcre

%files
%doc README.md CHANGELOG docs/index.html
%license LICENSE
%{_datadir}/common-lisp/source/cl-ppcre
%{_datadir}/common-lisp/systems/cl-ppcre.asd

%changelog
## START: Generated by rpmautospec
* Sun Oct 06 2024 John Doe <packager@example.com> - 2.1.2-1
- Uncommitted changes
## END: Generated by rpmautospec
